Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.javaeewebservicesclient12
Class ServiceRefHandlerChainTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.javaeewebservicesclient12.ServiceRefHandlerChainTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, ServiceRefHandlerChainType<T>

    public class ServiceRefHandlerChainTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ServiceRefHandlerChainType<T>

This class implements the `service-ref_handler-chainType` xsd type

Original Documentation:

The handler-chain element defines the handlerchain.
Handlerchain can be defined such that the handlers in the
handlerchain operate,all ports of a service, on a specific
port or on a list of protocol-bindings. The choice of elements
service-name-pattern, port-name-pattern and protocol-bindings
are used to specify whether the handlers in handler-chain are
for a service, port or protocol binding. If none of these
choices are specified with the handler-chain element then the
handlers specified in the handler-chain will be applied on
everything.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ServiceRefHandlerChainTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ServiceRefHandlerChainTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.util.List<ServiceRefHandlerType<ServiceRefHandlerChainType<T>>>` | `getHandlerList()` Returns all `handler` elements
`java.lang.String` | `getPortNamePattern()` Returns the `port-name-pattern` element
`java.lang.String` | `getServiceNamePattern()` Returns the `service-name-pattern` element
`ServiceRefHandlerType<ServiceRefHandlerChainType<T>>` | `handler()` Returns the `handler` element
`ServiceRefProtocolBindingListType<ServiceRefHandlerChainType<T>>` | `protocolBindings()` If not already created, a new `protocol-bindings` element will be created and returned.
`ServiceRefHandlerChainType<T>` | `removeAllHandler()` Removes all `handler` elements
`ServiceRefHandlerChainType<T>` | `removePortNamePattern()` Removes the `port-name-pattern` element
`ServiceRefHandlerChainType<T>` | `removeProtocolBindings()` Removes the `protocol-bindings` element
`ServiceRefHandlerChainType<T>` | `removeServiceNamePattern()` Removes the `service-name-pattern` element
`ServiceRefHandlerChainType<T>` | `setPortNamePattern(java.lang.String portNamePattern)` If not already created, a new `port-name-pattern` element with the given value will be created.
`ServiceRefHandlerChainType<T>` | `setServiceNamePattern(java.lang.String serviceNamePattern)` If not already created, a new `service-name-pattern` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceRefHandlerChainTypeImpl

    public ServiceRefHandlerChainTypeImpl(T t,
                                          java.lang.String nodeName,
                                          org.jboss.shrinkwrap.descriptor.spi.Node node)

### ServiceRefHandlerChainTypeImpl

    public ServiceRefHandlerChainTypeImpl(T t,
                                          java.lang.String nodeName,
                                          org.jboss.shrinkwrap.descriptor.spi.Node node,
                                          org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### removeAllHandler

    public ServiceRefHandlerChainType<T> removeAllHandler()

  Removes all `handler` elements

  Specified by:
    `removeAllHandler` in interface `ServiceRefHandlerChainType<T>`
  Returns:
    the current instance of `ServiceRefHandlerChainType`

### handler

    public ServiceRefHandlerType<ServiceRefHandlerChainType<T>> handler()

  Returns the `handler` element

  Specified by:
    `handler` in interface `ServiceRefHandlerChainType<T>`
  Returns:
    the node defined for the element `handler`

### getHandlerList

    public java.util.List<ServiceRefHandlerType<ServiceRefHandlerChainType<T>>> getHandlerList()

  Returns all `handler` elements

  Specified by:
    `getHandlerList` in interface `ServiceRefHandlerChainType<T>`
  Returns:
    list of `handler`

### setServiceNamePattern

    public ServiceRefHandlerChainType<T> setServiceNamePattern(java.lang.String serviceNamePattern)

  If not already created, a new `service-name-pattern` element with the given value will be created. Otherwise, the existing `service-name-pattern` element will be updated with the given value.

  Specified by:
    `setServiceNamePattern` in interface `ServiceRefHandlerChainType<T>`
  Returns:
    the current instance of `ServiceRefHandlerChainType`

### removeServiceNamePattern

    public ServiceRefHandlerChainType<T> removeServiceNamePattern()

  Removes the `service-name-pattern` element

  Specified by:
    `removeServiceNamePattern` in interface `ServiceRefHandlerChainType<T>`
  Returns:
    the current instance of `ServiceRefHandlerChainType`

### getServiceNamePattern

    public java.lang.String getServiceNamePattern()

  Returns the `service-name-pattern` element

  Specified by:
    `getServiceNamePattern` in interface `ServiceRefHandlerChainType<T>`
  Returns:
    the node defined for the element `service-name-pattern`

### setPortNamePattern

    public ServiceRefHandlerChainType<T> setPortNamePattern(java.lang.String portNamePattern)

  If not already created, a new `port-name-pattern` element with the given value will be created. Otherwise, the existing `port-name-pattern` element will be updated with the given value.

  Specified by:
    `setPortNamePattern` in interface `ServiceRefHandlerChainType<T>`
  Returns:
    the current instance of `ServiceRefHandlerChainType`

### removePortNamePattern

    public ServiceRefHandlerChainType<T> removePortNamePattern()

  Removes the `port-name-pattern` element

  Specified by:
    `removePortNamePattern` in interface `ServiceRefHandlerChainType<T>`
  Returns:
    the current instance of `ServiceRefHandlerChainType`

### getPortNamePattern

    public java.lang.String getPortNamePattern()

  Returns the `port-name-pattern` element

  Specified by:
    `getPortNamePattern` in interface `ServiceRefHandlerChainType<T>`
  Returns:
    the node defined for the element `port-name-pattern`

### removeProtocolBindings

    public ServiceRefHandlerChainType<T> removeProtocolBindings()

  Removes the `protocol-bindings` element

  Specified by:
    `removeProtocolBindings` in interface `ServiceRefHandlerChainType<T>`
  Returns:
    the current instance of `ServiceRefHandlerChainType`

### protocolBindings

    public ServiceRefProtocolBindingListType<ServiceRefHandlerChainType<T>> protocolBindings()

  If not already created, a new `protocol-bindings` element will be created and returned. Otherwise, the existing `protocol-bindings` element will be returned.

  Specified by:
    `protocolBindings` in interface `ServiceRefHandlerChainType<T>`
  Returns:
    the node defined for the element `protocol-bindings`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD